CREATE TABLE cst_txn_to_distribution_dtls (
    CST_TXN_TO_DIST_ID        NUMBER(18, 0)     NOT NULL,
    INV_TRANSACTION_ID        NUMBER(18, 0)     NOT NULL,
    TRANSFER_ORDER_DIST_ID    NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID         NUMBER(18, 0) ,
    INVENTORY_ORG_ID          NUMBER(18, 0)     NOT NULL,
    PRIMARY_QUANTITY          NUMBER        ,
    TRANSACTION_QUANTITY      NUMBER        ,
    TRANSACTION_UOM_CODE      VARCHAR2(12)  ,
    SECONDARY_QUANTITY        NUMBER        ,
    SECONDARY_UOM_CODE        VARCHAR2(12)  ,
    SOURCE_DOC_QUANTITY       NUMBER        ,
    SOURCE_DOC_UOM_CODE       VARCHAR2(12)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CST_TXN_TO_DIST_ID        NUMBER(18, 0)     NOT NULL,
    INV_TRANSACTION_ID        NUMBER(18, 0)     NOT NULL,
    TRANSFER_ORDER_DIST_ID    NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID         NUMBER(18, 0) ,
    INVENTORY_ORG_ID          NUMBER(18, 0)     NOT NULL,
    PRIMARY_QUANTITY          NUMBER        ,
    TRANSACTION_QUANTITY      NUMBER        ,
    TRANSACTION_UOM_CODE      VARCHAR2(12)  ,
    SECONDARY_QUANTITY        NUMBER        ,
    SECONDARY_UOM_CODE        VARCHAR2(12)  ,
    SOURCE_DOC_QUANTITY       NUMBER        ,
    SOURCE_DOC_UOM_CODE       VARCHAR2(12)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600)
);
